| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Attributes | List of all members
ob_error Struct Reference

The error class exposed by the SDK, users can get detailed error information according to the error. More...

`#include <ObTypes.h>`

## Public Attributes
ob_status | status
| Describe the status code of the error, as compatible with previous customer status code requirements.
char | message [256]
| Describe the detailed error log.
char | function [256]
| Describe the name of the function where the error occurred.
char | args [256]
| Describes the parameters passed to the function when an error occurs. Used to check whether the parameter is wrong.
ob_exception_type | exception_type
| The description is the specific error type of the SDK.

## Detailed Description

The error class exposed by the SDK, users can get detailed error information according to the error.

Definition at line 151 of file ObTypes.h.

## Member Data Documentation

## ◆ status

ob_status ob_error::status

Describe the status code of the error, as compatible with previous customer status code requirements.

Definition at line 152 of file ObTypes.h.

## ◆ message

char ob_error::message[256]

Describe the detailed error log.

Definition at line 153 of file ObTypes.h.

## ◆ function

char ob_error::function[256]

Describe the name of the function where the error occurred.

Definition at line 154 of file ObTypes.h.

## ◆ args

char ob_error::args[256]

Describes the parameters passed to the function when an error occurs. Used to check whether the parameter is wrong.

Definition at line 155 of file ObTypes.h.

## ◆ exception_type

ob_exception_type ob_error::exception_type

The description is the specific error type of the SDK.

Definition at line 156 of file ObTypes.h.

The documentation for this struct was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/h/ObTypes.h